Bug 439238 - aborts
aborts
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-27 13:19 EDT by Bill Nottingham
Modified: 2014-03-16 23:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 11:20:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X log (18.45 KB, text/plain)
2008-03-27 13:19 EDT, Bill Nottingham
no flags Details

  None (edit)
Description Bill Nottingham 2008-03-27 13:19:19 EDT
Description of problem:

Happened when clicking around in 'about this computer' under GDM. Not sure that
that is particularly relevant, though.

Program received signal SIGABRT, Aborted.
[Switching to Thread 0xb7fcb710 (LWP 2099)]
0x00131416 in __kernel_vsyscall ()
(gdb) bt
#0  0x00131416 in __kernel_vsyscall ()
#1  0x0026b4b0 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#2  0x0026ce78 in abort () at abort.c:88
#3  0x002a8cfd in __libc_message (do_abort=2, 
    fmt=0x37f800 "*** glibc detected *** %s: %s: 0x%s ***\n")
    at ../sysdeps/unix/sysv/linux/libc_fatal.c:170
#4  0x002aefd4 in malloc_printerr (action=2, 
    str=0x37f84c "free(): invalid next size (fast)", ptr=0x9e406b8) at malloc.c:5949
#5  0x002b1036 in __libc_free (mem=0x9e406b8) at malloc.c:3625
#6  0x08133b61 in Xfree (ptr=0x0) at utils.c:1451
#7  0x08173e1a in DamageDestroy (pDamage=0x9e406b8) at damage.c:1885
#8  0x08174b7d in damageDestroyPixmap (pPixmap=0x9f6d9e0) at damage.c:1624
#9  0x001d3690 in XvDestroyPixmap (pPix=0x9f6d9e0) at xvmain.c:381
#10 0x0807f135 in dixDestroyPixmap (value=0x9f6d9e0, pid=8389041) at dispatch.c:1272
#11 0x0806dacc in FreeResource (id=8389041, skipDeleteFuncType=0) at resource.c:561
#12 0x08080a53 in ProcFreePixmap (client=0x9d71988) at dispatch.c:1358
#13 0x0808599f in Dispatch () at dispatch.c:454
#14 0x0806b31d in main (argc=8, argv=0xbfddf224, envp=Cannot access memory at
address 0x83b
) at main.c:441

Error seems to be:

*** glibc detected *** /usr/bin/Xorg: free(): invalid next size (fast) 0x833

xorg.conf is:

# Xorg configuration created by pyxf86config

Section "ServerLayout"
        Identifier     "Default Layout"
        Screen      0  "Screen0" 0 0
EndSection

Section "Device"
        Identifier  "Videocard0"
        Driver      "intel"
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Depth     24
        EndSubSection
EndSection

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.4.99.901-12.20080314.fc9.i386
xorg-x11-drv-i810-2.2.1-15.fc9.i386
gdm-2.21.10-0.2008.03.26.3.fc9.i386
Comment 1 Bill Nottingham 2008-03-27 13:19:20 EDT
Created attachment 299364 [details]
X log
Comment 2 Bug Zapper 2008-05-14 04:20:13 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 19:54:15 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bill Nottingham 2009-06-10 11:20:38 EDT
No longer aborts.b

Note You need to log in before you can comment on or make changes to this bug.